All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::ConfigureLog Namespace Reference

## Functions

OP_API Priority | getPriorityThreshold ()
OP_API const std::vector < LogMode > & | getLogModes ()
OP_API void | setPriorityThreshold (const Priority priorityThreshold)
OP_API void | setLogModes (const std::vector< LogMode > &loggingModes)

## Function Documentation

OP_API const std::vector<LogMode>& op::ConfigureLog::getLogModes | ( |  | ) |

OP_API Priority op::ConfigureLog::getPriorityThreshold | ( |  | ) |

OP_API void op::ConfigureLog::setLogModes | ( | const std::vector< LogMode > & | loggingModes | ) |

OP_API void op::ConfigureLog::setPriorityThreshold | ( | const Priority | priorityThreshold | ) |